$card-color: $text !default
$card-background-color: $white !default
$card-shadow: 0 1px 1px rgba($blue-grey, 0.1), 0 1px 6px 0 rgba($blue-grey, .1) !default

$card-header-background-color: none !default
$card-header-color: $text-strong !default
$card-header-shadow: 0 1px 2px rgba($black, 0.1) !default
$card-header-weight: $weight-bold !default

$card-content-background-color: none !default

$card-footer-background-color: none !default
$card-footer-border-top: 1px solid $border !default

.#{$namespace}-card
  background-color: $card-background-color
  box-shadow: $card-shadow
  border-bottom: 1px solid rgba(0,0,0,.12)
  color: $card-color
  max-width: 100%
  position: relative
  display: block
  transition: $speed

  &.is-flat
    box-shadow: none
    border-bottom: none

  &.has-link
    &:hover
      transform: translateY(-5px)
      box-shadow: 0 18px 30px rgba($blue-grey, 0.15), 0 12px 60px 0 rgba($blue-grey, .15)

  &.is-outline
    box-shadow: none
    border: 1px solid nth($blue-grey-lighten, 4)

    .#{$namespace}-card-header
      border-bottom-color: nth($blue-grey-lighten, 4)

.#{$namespace}-card-header
  background-color: $card-header-background-color
  align-items: stretch
  padding: 1rem 1.5rem
  // box-shadow: $card-header-shadow
  border-bottom: 1px solid $border
  display: flex
  text-decoration: none

  &:last-child
    border-bottom: none

  > *:first-child
    flex-grow: 1
    text-align: left
    line-height: 1

  * 
    margin: 0

.#{$namespace}-card-header-title
  align-items: center
  color: $card-header-color
  display: flex
  flex-grow: 1
  font-size: 1.125rem
  font-weight: $card-header-weight
  padding: 0
  margin: 0
  &.is-centered
    justify-content: center

.#{$namespace}-card-header-icon
  align-items: center
  cursor: pointer
  display: flex
  justify-content: center
  margin-right: -.5rem
  color: $red

.#{$namespace}-card-image
  display: block
  position: relative
  background-position: 50% 50%
  background-size: cover

.#{$namespace}-card-content
  background-color: $card-content-background-color
  padding: .75rem 1.5rem

.#{$namespace}-card-footer
  background-color: $card-footer-background-color
  border-top: $card-footer-border-top
  align-items: stretch
  display: flex

.#{$namespace}-card-footer-item
  align-items: center
  display: flex
  flex-basis: 0
  flex-grow: 1
  flex-shrink: 0
  justify-content: center
  padding: .5rem 0.75rem
  &:not(:last-child)
    border-right: $card-footer-border-top

// Combinations

.#{$namespace}-card
  .media:not(:last-child)
    margin-bottom: 0.75rem
